Linear Gradient

- « UI\Draw\Brush\Gradient::setStop

- UI\Draw\Brush\LinearGradient::__construct »

- PHP Manual
- UI
- Linear Gradient

# Linear Gradient

(UI 2.0.0)

## Introduction

## Class synopsis

class UI\Draw\Brush\LinearGradient extends UI\Draw\Brush\Gradient {
/* Constructor */
public __construct(UI\Point `$start`, UI\Point `$end`)
/* Inherited methods */
public UI\Draw\Brush\Gradient::addStop(float `$position`, UI\Draw\Color `$color`): int
public UI\Draw\Brush\Gradient::addStop(float `$position`, int `$color`): int
public UI\Draw\Brush\Gradient::delStop(int `$index`): int
public UI\Draw\Brush\Gradient::setStop(int `$index`, float `$position`, UI\Draw\Color `$color`): bool
public UI\Draw\Brush\Gradient::setStop(int `$index`, float `$position`, int `$color`): bool
}

## Table of Contents

- UI\Draw\Brush\LinearGradient::__construct — Construct a Linear Gradient